Page MenuHomePhabricator

Propose an OAuth consumer for testing on test.wikipedia.org
Closed, ResolvedPublic

Description

Updated
Proposal: https://www.mediawiki.org/w/index.php?title=Special:OAuthListConsumers/view/e0ef943a1890b04d656409e64641c0ba&name=&publisher=Pywikibot-oauth&stage=0

Application name: Pywikibot-OAuth-test
Consumer version: 1.0
Description: Test OAuth support of Pywikibot
Applicable project: test.wikipedia.org
OAuth "callback URL": https://test.wikipedia.org/wiki/Special:OAuth/verified
Applicable grants: High-volume editing, Edit existing pages, Make changes to pages, View your watchlist, Edit your watchlist

Event Timeline

VcamX created this task.Jun 8 2015, 7:49 AM
VcamX raised the priority of this task from to Needs Triage.
VcamX updated the task description. (Show Details)
VcamX added a project: Pywikibot-OAuth.
VcamX added a subscriber: VcamX.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 8 2015, 7:49 AM
VcamX set Security to None.Jun 8 2015, 7:49 AM
VcamX added a subscriber: jayvdb.
jayvdb added a comment.Jun 8 2015, 7:51 AM

If the correct form to fill out is https://www.mediawiki.org/wiki/Special:OAuthConsumerRegistration/propose , there are quite a few more details required before it can be submitted.

VcamX updated the task description. (Show Details)Jun 8 2015, 8:15 AM
VcamX updated the task description. (Show Details)
VcamX added a subscriber: Halfak.
VcamX added a comment.Jun 8 2015, 8:17 AM

@jayvdb @Halfak This is the draft proposal for the OAuth consumer for testing. Please review it.

jayvdb added a comment.Jun 8 2015, 8:18 AM

Doesnt this app need API access?

VcamX added a comment.EditedJun 8 2015, 8:46 AM

@jayvdb Oh yes, it needs API access. API access is needed for testing.
There are some rights available on propose page. I think we may need all applicable rights listed.

VcamX updated the task description. (Show Details)Jun 8 2015, 8:48 AM
VcamX updated the task description. (Show Details)Jun 18 2015, 8:32 AM

Ah I see @Halfak is a potential approver listed at https://www.mediawiki.org/wiki/Special:ListUsers/oauthadmin . That should help.

Hey folks. It's a little scary to have a consumer with so many permissions, but the use case here seems reasonable.

You should be able to run tests from @VcamX's account without approval since he is the proposer. If you need other people to be able to use the consumer, let me know and I'll approve. Will these creds be used as part of a regular test or just for development work?

jayvdb added a comment.Jul 2 2015, 4:00 AM

@Halfak, these creds are intended to be used for automated testing. See line 40 of https://gerrit.wikimedia.org/r/#/c/219787/6/tests/auth_tests.py,cm

VcamX added a comment.Jul 2 2015, 7:16 AM

@jayvdb @Halfak, these tokens are sensitive like password. I think using environment variable to specify tokens maybe better. If these environment variables are not set, tests will be skipped.

jayvdb added a comment.Jul 2 2015, 7:38 AM

Yes, the credentials will be put into envvars, which Travis CI supports and is documented in tests/README.rst

Halfak added a comment.Jul 6 2015, 2:04 PM

@jayvdb tells me via email that the large permission set is in fact not needed. Can you submit a new consumer proposal with only the permissions you intend to make use of?

VcamX updated the task description. (Show Details)Jul 15 2015, 2:47 AM

@jayvdb @Halfak I submitted a new proposal. The permission requested should be enough for the two basic tests decribed in T74065:

  1. Perform a login and logout using OAuth with assertions that verify APISite._userinfo is correct.
  2. Login, edit a userpage, and confirm the edit was performed using the OAuth-authenticated account.
VcamX added a comment.Aug 1 2015, 4:45 AM

With respect to T104764, This is the configuration of OAuth client on the beta cluster: http://deployment.wikimedia.beta.wmflabs.org/w/index.php?title=Special:OAuthListConsumers/view/6ad8150a40735dac98d4f07826061cd1&name=&publisher=&stage=0

The tests seemed to work well on the beta cluster:
https://travis-ci.org/VcamX/pywikibot-core/jobs/73654518
https://travis-ci.org/VcamX/pywikibot-core/jobs/73654519

There're two additional rights need to be added: View your watchlist, Edit your watchlist

jayvdb added a comment.Aug 1 2015, 6:35 AM

@Halfak , can you process this please?

VcamX updated the task description. (Show Details)Aug 1 2015, 6:53 AM
VcamX updated the task description. (Show Details)
VcamX added a comment.Aug 1 2015, 6:56 AM

@jayvdb @Halfak, we may need to use 'Python-oauth' account to propose OAuth client, not 'VcamX'.

VcamX added a subscriber: hashar.Aug 1 2015, 2:16 PM

@hashar, I may need your help for this task, like T104764. The account Pywikibot-oauth in test.wikipedia.org will be used for test. It also need to be in the group of Confirmed users group to propose an OAuth client. Thank you! :)

hashar added a comment.Aug 1 2015, 6:41 PM

@VcamX fill in task against Beta-Cluster-Infrastructure and poke #wikimedia-releng about it. I am off for a few.

Halfak added a comment.Aug 3 2015, 3:31 PM

I've approved the current consumer request. It seems like additional rights are needed per @VcamX's comment. Consider email or pinging me on IRC for a faster response to the next consumer proposal.

VcamX updated the task description. (Show Details)Aug 5 2015, 5:46 AM
VcamX added a comment.Aug 5 2015, 5:50 AM

Thank you @Halfak! I just proposed a new OAuth client. And the old one could be disabled :)

Halfak added a comment.Aug 5 2015, 1:21 PM

Saw your ping from the early hours on #wikimedia-dev, so I came looking for consumers to approve right when I got on this morning.

{{done}}

VcamX renamed this task from Propose an OAuth consumer for testing to Propose an OAuth consumer for testing on test.wikipedia.org.Aug 7 2015, 7:31 AM
VcamX updated the task description. (Show Details)
jayvdb closed this task as Resolved.Aug 7 2015, 3:20 PM
jayvdb claimed this task.